Name: rhel-system-roles-sap
Summary: System Role prepares a RHEL system for running SAP software for SAP HANA
Version: 1.1
Release: 1%{?dist}
License: GPLv3+
Url: https://github.com/berndfinger
Source0: https://than.fedorapeople.org/rhel/sap-preconfigure-2019-09-12.tar.gz
Source1: https://than.fedorapeople.org/rhel/sap-hana-preconfigure-2019-09-12.tar.gz
Source2: https://than.fedorapeople.org/rhel/sap-netweaver-preconfigure-2019-09-12.tar.gz
BuildArch: noarch
Requires: rhel-system-roles
#Requires: tuned-profiles-sap
Requires: uuidd

%description
Collection of Ansible roles which configures a RHEL 8 system according
to applicable SAP notes so that any SAP software can be installed.

%prep
%setup -q -T -c -n %{name}-%{version} -a 0 -a 1 -a 2

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ansible/roles \
         $RPM_BUILD_ROOT%{_pkgdocdir}/sap-hana-preconfigure \
         $RPM_BUILD_ROOT%{_pkgdocdir}/sap-preconfigure \
         $RPM_BUILD_ROOT%{_pkgdocdir}/sap-netweaver-preconfigure

cp -pR sap-hana-preconfigure sap-preconfigure sap-netweaver-preconfigure $RPM_BUILD_ROOT%{_datadir}/ansible/roles/
cp -p sap-hana-preconfigure/{README.md,LICENSE} $RPM_BUILD_ROOT%{_pkgdocdir}/sap-hana-preconfigure/
cp -p sap-preconfigure/{README.md,LICENSE} $RPM_BUILD_ROOT%{_pkgdocdir}/sap-preconfigure/
cp -p sap-netweaver-preconfigure/{README.md,LICENSE} $RPM_BUILD_ROOT%{_pkgdocdir}/sap-netweaver-preconfigure/

# drop zero file
rm -f $RPM_BUILD_ROOT%{_datadir}/ansible/roles/sap-hana-preconfigure/tasks/RedHat_6/recommendations.yml

%files
%dir %{_pkgdocdir}
%dir %{_pkgdocdir}/sap-preconfigure
%dir %{_pkgdocdir}/sap-hana-preconfigure
%dir %{_pkgdocdir}/sap-netweaver-preconfigure
%doc %{_pkgdocdir}/*/README.md
%license %{_pkgdocdir}/*/LICENSE
%{_datadir}/ansible/roles/*

%changelog
* Thu Sep 12 2019 Than Ngo <than@redhat.com> - 1.1-1
- rebase to 1.1

* Fri Jun 28 2019 Than Ngo <than@redhat.com> - 1.0-1
- Initial release.
